﻿/* GENERICS
-------------------------------------------------- */
textarea {
    resize: none;
}

.clear {
    clear: both;
}

body {
    font-family: 'Open Sans', sans-serif;
    color: rgb(51, 51, 51);
}

.content {
    font-size: 14px;
}

    .content .item-page img {
        float: left;
        margin-right: 20px;
    }

a {
    text-decoration: none;
    color: rgb(0, 51, 153);
}

.green {
    color: #3c763d;
}

.red {
    color: #a94442;
}

.link-carousel {
    text-decoration: none;
    color: #fff !important;
}

a:hover {
    text-decoration: none;
    color: rgb(116, 149, 216);
}

.w100 {
    width: 100%;
}

.fLeft {
    float: left;
}

.fRight {
    float: right;
}

/* margin's top */

.margT0 {
    margin-top: 0;
}

.margT5 {
    margin-top: 8px;
}

.margT10 {
    margin-top: 10px;
}

.margT20 {
    margin-top: 20px;
}

.margT30 {
    margin-top: 30px;
}

.margT35 {
    margin-top: 35px;
}

.margT40 {
    margin-top: 40px;
}

.margT50 {
    margin-top: 50px;
}

/* margin's right */

.margR0 {
    margin-right: 0;
}

.margR05 {
    margin-right: 5px;
}

.margR10 {
    margin-right: 10px;
}

.margR20 {
    margin-right: 20px;
}

.margR30 {
    margin-right: 30px;
}

.margR40 {
    margin-right: 40px;
}

.margR47 {
    margin-right: 47px;
}

.margR50 {
    margin-right: 50px;
}

/* margin's bottom */

.margB0 {
    margin-bottom: 0;
}

.margB05 {
    margin-bottom: 5px;
}

.margB10 {
    margin-bottom: 10px;
}

.margB20 {
    margin-bottom: 20px;
}

.margB30 {
    margin-bottom: 30px;
}

.margB40 {
    margin-bottom: 40px;
}

.margB50 {
    margin-bottom: 50px;
}

/* margin's left */

.margL0 {
    margin-left: 0;
}

.margL05 {
    margin-left: 5px;
}

.margL10 {
    margin-left: 10px !important;
}

.margL15 {
    margin-left: 15px !important;
}

/* padding's */

.pad0 {
    padding: 0px !important;
}

.pad15 {
    padding: 15px;
}

.padT0 {
    padding-top: 0;
}

.padT05 {
    padding-top: 5px;
}

.padT10 {
    padding-top: 10px;
}

.padR0 {
    padding-right: 0;
    bottom: 4px;
}

.padB0 {
    padding-bottom: 0;
}

.padB05 {
    padding-bottom: 5px;
}

.padB10 {
    padding-bottom: 10px;
}

.padL0 {
    padding-left: 0;
}

/* border's */

.border-menu {
    border-right: 1px solid #ddd;
}

.border-none {
    border: none;
}

.border0 {
    border: 0;
}

/* TEXT-ALIGN */

.text-justify {
    text-align: justify;
}

.text-left {
    text-align: left;
}


/* DEFAULT
-------------------------------------------------- */

h1, h2, h3, h4, h5, h6 {
    font-family: 'Merriweather Sans', Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-weight: bold;
    margin: 0 0 15px 0;
    color: #333;
}

    h5.line {
        position: relative;
        margin: 0 0 20px;
        padding-bottom: 8px;
        text-transform: uppercase;
        border-bottom: 1px solid #E76D0B;
    }

        h5.line > span {
            width: auto;
            padding-bottom: 7px;
            border-bottom: 4px solid #E76D0B;
        }

.sidebar {
    float: left;
    width: 100%;
    margin-bottom: 30px;
}

.box-login {
    border: 1px solid #ccc;
    padding: 10px;
    border-radius: 10px;
    background: #fdfdfd;
}

.ws-nowrap {
    white-space: nowrap;
}


ul.social {
    float: left;
    width: 100%;
    margin: 0 0 0 0;
    padding: 0;
    list-style-type: none;
}

    ul.social li {
        float: left;
        width: 49.6%;
        height: auto;
        margin-right: 1px;
        margin-bottom: 1px;
        text-align: center;
        background: rgb(250, 250, 250);
    }

        ul.social li a {
            display: block;
            width: auto;
            height: 100%;
            padding: 20px 0 20px 0;
            background: rgb(49, 109, 183);
        }

            ul.social li a i {
                font-size: 40px;
                color: rgb(255, 255, 255);
            }

            ul.social li a.facebook {
                background: rgb(49, 109, 183);
            }

            ul.social li a.twitter {
                background: rgb(23, 168, 221);
            }

            ul.social li a.flickr {
                background: rgb(0, 89, 212);
            }

            ul.social li a.youtube {
                background: rgb(207, 39, 39);
            }

.ng-invalid.ng-dirty:not(form) {
    border-color: #a94442;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}

.ng-invalid.ng-dirty:focus:not(form) {
    border-color: #843534;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
}

.error-label {
    color: #a94442;
}


/* BOOTSTRAP */
.tab-content > .tab-pane, .pill-content > .pill-pane {
    padding: 20px;
}

.tab-content {
    border: 1px solid #dddddd;
}

/* HIDE AND SHOW ANIMATE */
.show-hide {
    transition: all linear 0.5s;
}

    .show-hide.ng-hide {
        opacity: 0;
    }

/* ENTER AND LEAVE ANIMATE */
.enter-leave.ng-enter, .enter-leave.ng-leave {
    -webkit-transition: 0.5s linear all;
    -moz-transition: 0.5s linear all;
    -o-transition: 0.5s linear all;
    transition: 0.5s linear all;
}

.enter-leave.ng-enter {
    z-index: 100;
    opacity: 0;
}

    .enter-leave.ng-enter.ng-enter-active {
        opacity: 1;
    }

.enter-leave.ng-leave {
    z-index: 101;
    opacity: 1;
}

    .enter-leave.ng-leave.ng-leave-active {
        opacity: 0;
    }


/* AUTOCOMPLETE */
.autocomplete-holder {
    position: relative;    
}

.autocomplete-container {
    overflow-y: auto;
    max-height: 150px;
}

.autocomplete-dropdown {
    border-color: #ececec;
    border-width: 1px;
    border-style: solid;
    border-radius: 2px;
    padding: 6px;
    cursor: pointer;
    z-index: 9999;
    position: absolute;
    /*top: 32px;
    left: 0px;
    */
    margin-top: -6px;
    background-color: #ffffff;
}

.autocomplete-row {
    padding: 5px;
    color: #000000;
    margin-bottom: 4px;
    clear: both;
}

    .autocomplete-row:hover {
        background-color: lightblue;
        color: #ffffff;
    }
